"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.app = void 0;
var app_1 = require("./app");
var http_1 = __importDefault(require("http"));
var pino_1 = __importDefault(require("pino"));
var DEFAULT_PORT = 8080;
var _a = process.env.PORT, PORT = _a === void 0 ? DEFAULT_PORT : _a;
var logger = pino_1.default();
exports.app = app_1.App({ logger: logger });
var server = http_1.default.createServer(exports.app).listen(PORT);
process.on("SIGTERM", function () {
    logger.info("Application terminating");
    server.close(function () {
        logger.info("HTTP server closed");
        process.exit(0);
    });
});
logger.info("Server listening on " + PORT);
//# sourceMappingURL=index.js.map