export interface Context {
}
export interface Event {
    body: string;
}
interface Callback {
    (error: null | Error, response: Response): void;
}
declare type Headers = {
    [k: string]: string;
};
interface Response {
    statusCode: number;
    body: string;
    headers: Headers;
}
interface NetlifyEventHandler {
    (event: Event, context: Context, callback: Callback): void;
}
export declare const handler: NetlifyEventHandler;
export {};
